.sidebar
  width: $sidebar-width
  padding: 1rem 0
  display: flex
  flex-direction: column
  border-right: 1px solid #eee

.sidebar--disabled
  position: relative
  user-select: none

  &::after
    position: absolute
    cursor: not-allowed
    content: ''
    background: rgba(255, 255, 255, .5)
    top: 0
    left: 0
    bottom: 0
    right: 0


.sidebar__nested_section
  border-top: 1px solid #eee
  border-bottom: 1px solid #eee
  background: #fcfcfc

  .sidebar_link
    padding-left: 1em

.sidebar .ui.menu
  width: 100%

.sidebar__bottom
  margin-top: auto
  margin-bottom: 5rem
  text-align: center

.sidebar
  color: $sidebar-fg
  font-size: 1.1em
  background: $sidebar-bg

.sidebar_link
  color: inherit
  display: grid
  height: $sidebar-link-height
  grid-template-columns: 4rem 1fr
  align-items: center
  +hoverable

  &:hover
    color: inherit
    background: darken($sidebar-bg, 3.5%)

  svg
    height: 1rem
    justify-self: center
    fill: currentColor